Subject: Re: [PATCH] Add hvc_console to MAINTAINERS

From: Joe Perches <[email-masked]>
Date: Tue, 31 Mar 2009 14:40:58 -0700

On Tue, 2009-03-31 at 14:22 -0700, Andrew Morton wrote:
> On Tue, 31 Mar 2009 14:10:23 -0700
> Joe Perches <[email-masked]> wrote:
> > On Tue, 2009-03-31 at 09:29 -0400, Josh Boyer wrote:
> > > Add a MAINTAINERS entry for the hypervisor virtual console support
> > > used on IBM POWER servers.
> > > diff --git a/MAINTAINERS b/MAINTAINERS
> > > index c5f4e9d..387ad45 100644
> > > --- a/MAINTAINERS
> > > +++ b/MAINTAINERS
> > > @@ -2176,6 +2176,11 @@ W:       http://www.ia64-linux.org/
> > >  T:     git kernel.org:/pub/scm/linux/kernel/git/aegl/linux-2.6.git
> > >  S:     Maintained
> > >  
> > > +IBM HYPERVISOR VIRTUAL CONSOLE
> > > +P:     Several
> > > +L:     [email-masked]
> > > +S:     Maintained
> > > +
> > >  IBM MCA SCSI SUBSYSTEM DRIVER
> > >  P:     Michael Lang
> > >  M:     [email-masked]
> > 
> > I think this sort of entry should not be acceptable.
> > Maintainers should have individual names and contact addresses.
> 
> There isn't a maintainer.
> 
> But people send patches to the wrong list, so the ppc guys (who use
> this driver) don't get to see them.
> 
> That's a practical, real-world problem.  We should have a fix for it.
> 
> > An exploder entry should be OK though.
> > For instance, the DVB subsystem:
> > 
> > 	DVB SUBSYSTEM AND DRIVERS
> > 	P:	LinuxTV.org Project
> > 	M:	[email-masked]
> > 
> > A list entry could be something like:
> > 
> > 	P:	Linux PCMCIA Team
> > 	L:	[email-masked]
> > 
> 
> I'm unclear on what the difference is here..

I have no problem with the "L: list" entry.
I think that's good.  Along with some file
matching pattern as well of course...

I think the "P: Several" entry is not good.

"Several" doesn't give any idea as to who
actually does the work.

If the "P:" entry is there at all, it should
be the list name.

Maybe "P: Linux PPC Development Team" or
something similar.